Ad Account Ad Labels
Updated: Mar 1, 2021
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
AdAccountAdLabels
Example
GET /v25.0/{ad-account-id}/adlabels HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
This endpoint doesn't have any parameters.
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of AdLabel nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=__type__).
| Field | Description |
|---|---|
insightsEdge<AdsInsights> |
Analytics summary for all objects
|
total_countunsigned int32 |
Total number of objects
default |
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
190 | Invalid OAuth 2.0 Access Token |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
100 | Invalid parameter |
Creating
/act_{ad_account_id}/adlabels
You can make a POST request to adlabels edge from the following paths:
When posting to this edge, an AdLabel will be created.
Example
POST /v25.0/act_<AD_ACCOUNT_ID>/adlabels HTTP/1.1 Host: graph.facebook.com name=My+Label
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
namestring |
AdLabel name
required |
Return Type
This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct {
id: numeric string,
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
200 | Permissions error |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.